### Method

# ECal ComponentAttendee set_role

since: 3.34

#### Declaration [src]

    void
    e_cal_component_attendee_set_role (
      ECalComponentAttendee* attendee,
      ICalParameterRole role
    )

#### Description [src]

Set the `attendee` role, as an `ICalParameterRole`.

Available since: 3.34

#### Parameters

`role`

  Type: `ICalParameterRole`

  The value to set, as an `ICalParameterRole`.